fgmCopula {copula} | R Documentation

## Construction of a fgmCopula Class Object

### Description

Constructs a multivariate multiparameter Farlie-Gumbel-Morgenstern copula class object with its corresponding parameters and dimension.

### Usage

    fgmCopula(param, dim = 2)

### Arguments

`param` | a numeric vector specifying the parameter values.
`dim` | the dimension of the copula.
`...` | currently nothing.

### Value

A Farlie-Gumbel-Morgenstern copula object of class `"fgmCopula"`.

### Note

The verification of the validity of the parameter values is of high complexity and may not work for high dimensional copulas.

The random number generation needs to be properly tested, especially for dimensions higher than 2.

### References

Nelsen, R. B. (2006), An introduction to Copulas, Springer, New York.

### See Also

`Copula`, `copula-class`, `fitCopula`.

### Examples

    ## a bivariate example
    fgm.cop <- fgmCopula(1)
    x <- rCopula(1000, fgm.cop)
    cor(x, method = "kendall")
    tau(fgm.cop)
    cor(x, method = "spearman")
    rho(fgm.cop)
    persp  (fgm.cop, dCopula)
    contour(fgm.cop, dCopula)

    ## a trivariate example with wrong parameter values
    ## fgm2.cop <- fgmCopula(c(1,1,1,1), dim = 3)

    ## a trivariate example with satisfactory parameter values
    fgm2.cop <- fgmCopula(c(.2,-.2,-.4,.6), dim = 3)
    fgm2.cop

[Package copula version 0.999-15 Index]